> For the complete documentation index, see [llms.txt](https://docs.warpstream.com/warpstream/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.warpstream.com/warpstream/reference/api-reference/invitations/create.md).

# Create

This endpoint allows you to invite new users to join your WarpStream account.

When you send an invitation, the specified user will receive an email with instructions to join the account. Upon accepting the invitation, the user will be granted the role defined in the request. Roles determine the user's permissions and access to workspaces within the account.

```url
POST /api/v1/users/create_invitations
```

## **Request Body (JSON):**

```json
{
  "invitations": [
    { "email": "test@example.com", "user_role_id": "pri_XXXXXXXXXX" },
    { "email": "test1@example.com", "user_role_id": "pri_XXXXXXXXXX" }
  ]
}
```

### **cURL Example:**

{% code overflow="wrap" %}

```bash
curl -X POST https://api.warpstream.com/api/v1/users/create_invitations \
  -H 'warpstream-api-key: XXXXXXXXXX' \
  -H 'Content-Type: application/json' \
  -d '{"invitations": [{"email": "test@example.com", "user_role_id": "pri_XXXXXXXXXX"}, {"email": "test1@example.com", "user_role_id": "pri_XXXXXXXXXX"} ]}'
```

{% endcode %}

## **Response Body (JSON):**

```json
{}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.warpstream.com/warpstream/reference/api-reference/invitations/create.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
